Package oracle.kv

# Class KVLocalConfig.InetBuilder

java.lang.Object
oracle.kv.KVLocalConfig.Builder
oracle.kv.KVLocalConfig.InetBuilder

Enclosing class:
  KVLocalConfig

public static class KVLocalConfig.InetBuilder extends KVLocalConfig.Builder
InetBuilder to help construct a KVLocalConfig instance using TCP sockets.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_HOSTNAME`
  The default host name is "localhost".
  `static final boolean`
  `DEFAULT_IS_SECURE`
  The default is secure.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetBuilder(String rootDir)`
  Makes an InetBuilder for KVLocalConfig with the specified root directory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KVLocalConfig`
  `build()`
  Builds a `KVLocalConfig` instance using the values specified in this builder.
  `KVLocalConfig.InetBuilder`
  `isSecure(boolean secure)`
  Specifies whether the store is secure.
  `KVLocalConfig.Builder`
  `setHostName(String name)`
  Sets the host name.
  `KVLocalConfig.InetBuilder`
  `setPort(int portNum)`
  Sets port number.

  ### Methods inherited from class oracle.kv.KVLocalConfig.Builder

  `setMemoryMB, setStorageGB, setStoreName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_HOSTNAME

    public static final String DEFAULT_HOSTNAME
    The default host name is "localhost".
    See Also:
      - Constant Field Values

  - ### DEFAULT_IS_SECURE

    public static final boolean DEFAULT_IS_SECURE
    The default is secure.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetBuilder

    public InetBuilder(String rootDir)
    Makes an InetBuilder for KVLocalConfig with the specified root directory.
    Parameters:
      `rootDir` - the root directory where NoSQL Database data is placed
    Throws:
      `IllegalArgumentException` - if specified rootDir is null or empty

- ## Method Details

  - ### build

    public KVLocalConfig build()
    Description copied from class: `KVLocalConfig.Builder`
    Builds a `KVLocalConfig` instance using the values specified in this builder.
    Specified by:
      `build` in class `KVLocalConfig.Builder`
    Returns:
      a `KVLocalConfig` instance for this builder

  - ### setHostName

    public KVLocalConfig.Builder setHostName(String name)
    Description copied from class: `KVLocalConfig.Builder`
    Sets the host name.
    Specified by:
      `setHostName` in class `KVLocalConfig.Builder`
    Parameters:
      `name` - the name of the host
    Returns:
      this instance

  - ### setPort

    public KVLocalConfig.InetBuilder setPort(int portNum)
    Description copied from class: `KVLocalConfig.Builder`
    Sets port number.
    Specified by:
      `setPort` in class `KVLocalConfig.Builder`
    Parameters:
      `portNum` - the port number for registry
    Returns:
      this instance

  - ### isSecure

    public KVLocalConfig.InetBuilder isSecure(boolean secure)
    Specifies whether the store is secure.
    Specified by:
      `isSecure` in class `KVLocalConfig.Builder`
    Parameters:
      `secure` - whether the store is secure
    Returns:
      this instance